//
//  AppDelegate.h
//  Gi2MO Monitor
//
//  Created by cyanide on 2/18/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class MainViewController;
@class ScrollViewController;
@class Settings;

@interface AppDelegate : UIResponder <UIApplicationDelegate>

@property (strong, nonatomic) UIWindow *window;

//core data variables
@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;
@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;

@property (strong, nonatomic) Settings *applicationSettings;

@property (strong, nonatomic) MainViewController *mainViewController;
@property (strong, nonatomic) ScrollViewController *scrollViewController;

//core data functions
- (void)saveContext;
- (NSString *)applicationDocumentsDirectory;

@end
