//
//  DataControler.h
//  Gi2MO Monitor
//
//  Created by cyanide on 2/22/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "IdeaManagementStatus.h"

@interface DataController : NSObject 
{
	//NSMutableArray *list;
    NSMutableArray *list;
    //core data sync
    NSManagedObjectContext *context;
    //flag if the list did change (used when transitioning from app settings to main view (to avoid reloading if nothing changed)
}

- (unsigned) countOfList; //returns number of elements in list
- (id) objectInListAtIndex : (unsigned) theIndex; //returns object at given index
//- (void) addData : (NSString*) data; //adds data to the list 
- (void) addData : (IdeaManagementStatus*) data; //adds data to the list 
- (void) removeDataAtIndex : (unsigned) theIndex;
- (void) updateData: (IdeaManagementStatus*) data AtIndex: (unsigned) theIndex;
- (void) moveObjectAtIndex: (unsigned) index1 toIndex: (unsigned) index2;

- (id)init:(NSManagedObjectContext *) managedObjectContext;

@property (nonatomic, copy, readwrite) NSMutableArray *list;
@property (nonatomic, retain) NSManagedObjectContext *context;

@end