//
//  ImsStatusDataController.h
//  Gi2MO Monitor
//
//  Created by cyanide on 3/2/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "IdeaManagementStatus.h"

@interface ImsStatusDataController : NSObject
{
    NSMutableArray *list;
    //core data sync
    NSManagedObjectContext *context;
}

- (unsigned) countOfList; //returns number of elements in list
- (id) objectInListAtIndex : (unsigned) theIndex; //returns object at given index
//- (void) addData : (NSString*) data; //adds data to the list 
- (void) addData : (IdeaManagementStatus*) data; //adds data to the list 
- (void) removeDataAtIndex : (unsigned) theIndex;

- (id)init:(NSManagedObjectContext *) managedObjectContext;

@property (nonatomic, copy, readwrite) NSMutableArray *list;
@property (nonatomic, retain) NSManagedObjectContext *context;

@end
