//
//  MetroStyleColorSet.h
//  Gi2MO Monitor
//
//  Created by cyanide on 3/10/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface MetroStyleColorSet : NSObject
{
    UIColor *mainColor;
    UIColor *valueBackgroundColor;
    UIColor *valueFontColor;
}

@property (nonatomic, retain) UIColor *mainColor;
@property (nonatomic, retain) UIColor *valueBackgroundColor;
@property (nonatomic, retain) UIColor *valueFontColor;

- (id)initWithColor:(UIColor *) mainColor valueBackgroundColor:(UIColor *) bcgColor fontColor:(UIColor *) fntColor;
- (id)initWithColorSetNumber: (int) colorSetNumber;
- (void) setColorSet: (int) colorSetNumber;
- (int) getColorSetsCount;

@end
