//
//  FlipsideViewController.h
//  Gi2MO Monitor
//
//  Created by cyanide on 2/18/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AddNewSourceController.h"

@class FlipsideViewController;
@class DataController;
@class Settings;

@protocol FlipsideViewControllerDelegate
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller;
@end

//NSFetchedResultsControllerDelegate
@interface FlipsideViewController : UIViewController <UITableViewDataSource, UITableViewDelegate, AddNewSourceControllerDelegate>
{
    DataController *dataController;
    Settings *applicationSettings;
    
    IBOutlet UITableView *imsTableView;
    int i;
    NSManagedObjectContext *managedObjectContext;
    
    IBOutlet UISegmentedControl *autorefreshControl;
    IBOutlet UISegmentedControl *differenceCalcControl;
    
    BOOL listDidChange;
}

@property (assign, nonatomic) IBOutlet id <FlipsideViewControllerDelegate> delegate;

@property (nonatomic, retain) DataController *dataController;
@property (nonatomic, retain) Settings *applicationSettings;
@property (nonatomic, retain) UITableView *imsTableView;
@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain) UISegmentedControl *autorefreshControl;
@property (nonatomic, retain) UISegmentedControl *differenceCalcControl;

@property (nonatomic) BOOL listDidChange;

- (IBAction)done:(id)sender;
- (IBAction)addSource:(id)sender;
- (IBAction)autorefreshChange:(id)sender;
- (IBAction)diffControlChange:(id)sender;

@end
