//
//  TestPageController.h
//  Gi2MO Monitor
//
//  Created by cyanide on 2/26/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ScrollViewController.h"

@class FlipsideViewController;

@interface ImsStatusPageController : UIViewController
{
    IBOutlet UILabel	*imsName;
    IBOutlet UILabel	*imsLastUpdated;
    //main stats
	IBOutlet UILabel	*ideaNumber;
	IBOutlet UILabel	*commentNumber;
	IBOutlet UILabel	*contestNumber;
	IBOutlet UILabel	*reviewNumber;
    
    //last posted stats
    
    //last idea
	IBOutlet UILabel	*lastIdeaDate;
	IBOutlet UILabel	*lastIdeaTitle;
	IBOutlet UILabel	*lastIdeaAuthor;
    //last comment
	IBOutlet UILabel	*lastCommentDate;
	IBOutlet UILabel	*lastCommentTitle;
	IBOutlet UILabel	*lastCommentAuthor;
    //last contest
	IBOutlet UILabel	*lastContestDate;
	IBOutlet UILabel	*lastContestTitle;
	IBOutlet UILabel	*lastContestAuthor;
    
    IBOutlet UIImageView *refreshAnimatedImage;
    IBOutlet UIButton *refreshButton;
    
    //status info
    IBOutlet UILabel	*connectionStatus;
        
    //----------core data--------
    //    NSFetchedResultsController *fetchedResultsController;
    NSManagedObjectContext *managedObjectContext;
    ScrollViewController *parentScrollViewController;
    DataController *dataController;
    Settings *applicationSettings;
    int pageNumber; //page number indicates which entity from dataController should the Page display
    
    //thread queue for fetching RDFs
    NSOperationQueue *queue;
    
}

@property (nonatomic, retain) UILabel *imsName;
@property (nonatomic, retain) UILabel *imsLastUpdated;

@property (nonatomic, retain) UILabel *ideaNumber;
@property (nonatomic, retain) UILabel *commentNumber;
@property (nonatomic, retain) UILabel *contestNumber;
@property (nonatomic, retain) UILabel *reviewNumber;

@property (nonatomic, retain) UILabel *lastIdeaDate;
@property (nonatomic, retain) UILabel *lastIdeaTitle;
@property (nonatomic, retain) UILabel *lastIdeaAuthor;

@property (nonatomic, retain) UILabel *lastCommentDate;
@property (nonatomic, retain) UILabel *lastCommentTitle;
@property (nonatomic, retain) UILabel *lastCommentAuthor;

@property (nonatomic, retain) UILabel *lastContestDate;
@property (nonatomic, retain) UILabel *lastContestTitle;
@property (nonatomic, retain) UILabel *lastContestAuthor;

@property (nonatomic, retain) UILabel *connectionStatus;

@property (nonatomic, retain) UIImageView *refreshAnimatedImage;
@property (nonatomic, retain) UIButton *refreshButton;

// core data
//@property (nonatomic, retain) NSFetchedResultsController *fetchedResultsController;
@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain) DataController *dataController;
@property (nonatomic, retain) Settings *applicationSettings;

@property (assign, nonatomic) ScrollViewController *parentScrollViewController;

//threading
@property (nonatomic, retain) NSOperationQueue *queue;

- (id)initWithPageNumber:(int)page;
- (IBAction)showInfo:(id)sender;
- (IBAction) resyncStatistocsAction:(id)sender;

- (void) updateStatistics;
- (void) fetchRDFStatistics;


@end
