//
//  MainViewController.h
//  Gi2MO Monitor
//
//  Created by cyanide on 2/18/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "FlipsideViewController.h"
#import "ScrollViewController.h"

@interface MainViewController : UIViewController <FlipsideViewControllerDelegate>
{
    IBOutlet UILabel	*imsName;
    //main stats
	IBOutlet UILabel	*ideaNumber;
	IBOutlet UILabel	*commentNumber;
	IBOutlet UILabel	*contestNumber;
	IBOutlet UILabel	*reviewNumber;

    //last posted stats
    
    //last idea
	IBOutlet UILabel	*lastIdeaDate;
	IBOutlet UILabel	*lastIdeaTitle;
	IBOutlet UILabel	*lastIdeaAuthor;
    //last comment
	IBOutlet UILabel	*lastCommentDate;
	IBOutlet UILabel	*lastCommentTitle;
	IBOutlet UILabel	*lastCommentAuthor;
    //last contest
	IBOutlet UILabel	*lastContestDate;
	IBOutlet UILabel	*lastContestTitle;
	IBOutlet UILabel	*lastContestAuthor;
        
    //----------core data--------
//    NSFetchedResultsController *fetchedResultsController;
    NSManagedObjectContext *managedObjectContext;
    ScrollViewController *parentV;
}

@property (nonatomic, retain) ScrollViewController *parentV;

@property (nonatomic, retain) UILabel *imsName;

@property (nonatomic, retain) UILabel *ideaNumber;
@property (nonatomic, retain) UILabel *commentNumber;
@property (nonatomic, retain) UILabel *contestNumber;
@property (nonatomic, retain) UILabel *reviewNumber;

@property (nonatomic, retain) UILabel *lastIdeaDate;
@property (nonatomic, retain) UILabel *lastIdeaTitle;
@property (nonatomic, retain) UILabel *lastIdeaAuthor;

@property (nonatomic, retain) UILabel *lastCommentDate;
@property (nonatomic, retain) UILabel *lastCommentTitle;
@property (nonatomic, retain) UILabel *lastCommentAuthor;

@property (nonatomic, retain) UILabel *lastContestDate;
@property (nonatomic, retain) UILabel *lastContestTitle;
@property (nonatomic, retain) UILabel *lastContestAuthor;

// core data
//@property (nonatomic, retain) NSFetchedResultsController *fetchedResultsController;
@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;


- (IBAction)showInfo:(id)sender;
- (void) updateStatistics;

@end
