//
//  XMLReader.h
//  Gi2MO Monitor
//
//  Created by cyanide on 2/19/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "IdeaManagementStatus.h"

@interface XMLReader : NSObject
{    
    
    //xml parsing variables
    NSMutableString *currentElementValue;
    NSString *currentClassName;
    NSString *currentObjectURI;
    NSMutableDictionary *currentClassProperties;
    NSMutableDictionary *allUserNames;
    
    IdeaManagementStatus *ideaManagementStatus;
}

@property (nonatomic, retain) NSString *currentClassName;
@property (nonatomic, retain) NSMutableDictionary *currentClassProperties;
@property (nonatomic, retain) NSMutableDictionary *allUserNames;
@property (nonatomic, retain) NSString *currentObjectURI;
@property (nonatomic, retain) IdeaManagementStatus *ideaManagementStatus;

- (XMLReader *) initXMLReader;

@end
