//
//  IMS.h
//  Gi2MO Monitor
//
//  Created by cyanide on 3/10/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Comment, Contest, Idea, ImsHistory;

@interface IMS : NSManagedObject

@property (nonatomic, retain) NSDate * dateAdded;
@property (nonatomic, retain) NSNumber * hasCommentCount;
@property (nonatomic, retain) NSNumber * hasContestCount;
@property (nonatomic, retain) NSNumber * hasIdeaCount;
@property (nonatomic, retain) NSNumber * hasReviewCount;
@property (nonatomic, retain) NSNumber * indexNumber;
@property (nonatomic, retain) NSString * title;
@property (nonatomic, retain) NSString * url;
@property (nonatomic, retain) NSNumber * previousIdeaCount;
@property (nonatomic, retain) NSNumber * previousCommentCount;
@property (nonatomic, retain) NSNumber * previousContestCount;
@property (nonatomic, retain) NSNumber * previousReviewCount;
@property (nonatomic, retain) NSDate * previousDateAdded;
@property (nonatomic, retain) Comment *hasComment;
@property (nonatomic, retain) Contest *hasContest;
@property (nonatomic, retain) Idea *hasIdea;
@property (nonatomic, retain) ImsHistory *hasHistory;

@end
