//
//  IdeaManagementStatus.h
//  Gi2MO Monitor
//
//  Created by cyanide on 2/19/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface IdeaManagementStatus : NSObject
{
    //transfer status info
    BOOL transferSucess;
    
    //IMS referencing info
    NSString *imsURI;
    
    //base stats
    NSString *title;
    NSString *hasIdeaCount;
    NSString *hasCommentCount;
    NSString *hasContestCount;
    NSString *hasReviewCount;
    
    //int hasIdeaCount;
    //int hasCommentCount;
    //int hasContestCount;
    //int hasReviewCount;
    
    //post details
    NSString *ideaTitle;
    NSString *ideaAuthor;
    NSString *ideaDate;
    
    NSString *commentText;
    NSString *commentAuthor;
    NSString *commentDate;
    
    NSString *contestTitle;
    NSString *contestAuthor;
    NSString *contestDate;
}

@property(retain, readwrite) NSString *imsURI;

@property(retain, readwrite) NSString *title;
//@property (nonatomic) int hasIdeaCount;
//@property (nonatomic) int hasCommentCount;
//@property (nonatomic) int hasContestCount;
//@property (nonatomic) int hasReviewCount;

@property(retain, readwrite) NSString *hasIdeaCount;
@property(retain, readwrite) NSString *hasCommentCount;
@property(retain, readwrite) NSString *hasContestCount;
@property(retain, readwrite) NSString *hasReviewCount;

@property(retain, readwrite) NSString *hasIdeaCountLastDay;
@property(retain, readwrite) NSString *hasCommentCountLastDay;
@property(retain, readwrite) NSString *hasContestCountLastDay;
@property(retain, readwrite) NSString *hasReviewCountLastDay;

@property(retain, readwrite) NSString *hasIdeaCountLastWeek;
@property(retain, readwrite) NSString *hasCommentCountLastWeek;
@property(retain, readwrite) NSString *hasContestCountLastWeek;
@property(retain, readwrite) NSString *hasReviewCountLastWeek;

@property(retain, readwrite) NSString *hasIdeaCountLastMonth;
@property(retain, readwrite) NSString *hasCommentCountLastMonth;
@property(retain, readwrite) NSString *hasContestCountLastMonth;
@property(retain, readwrite) NSString *hasReviewCountLastMonth;

@property(retain, readwrite) NSString *hasIdeaCountLastYear;
@property(retain, readwrite) NSString *hasCommentCountLastYear;
@property(retain, readwrite) NSString *hasContestCountLastYear;
@property(retain, readwrite) NSString *hasReviewCountLastYear;

@property(retain, readwrite) NSString *ideaTitle;
@property(retain, readwrite) NSString *ideaAuthor;
@property(retain, readwrite) NSString *ideaDate;

@property(retain, readwrite) NSString *commentText;
@property(retain, readwrite) NSString *commentAuthor;
@property(retain, readwrite) NSString *commentDate;

@property(retain, readwrite) NSString *contestTitle;
@property(retain, readwrite) NSString *contestAuthor;
@property(retain, readwrite) NSString *contestDate;

@property (nonatomic) BOOL transferSuccess;


@end
